Bug 886237 - konqueror: disable Java by default [rhel-6]
Summary: konqueror: disable Java by default [rhel-6]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kde-settings
Version: 6.3
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: rc
: ---
Assignee: Than Ngo
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-11 21:00 UTC by Tomas Hoger
Modified: 2014-01-30 09:21 UTC (History)
3 users (show)

Fixed In Version: kde-settings-4.3.1-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 886246 886247 (view as bug list)
Environment:
Last Closed: 2013-07-15 12:48:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1053 normal SHIPPED_LIVE kde-settings bug fix update 2013-07-15 16:48:23 UTC

Description Tomas Hoger 2012-12-11 21:00:16 UTC
Description of problem:
Konqueror browser enables Java support by default.  As Java is one of the common targets for browser-based malware attacks, we should default to disabled Java so users that don't need to run Java applet are not exposed to the risks.

Unlike Firefox, Konqueror does not require Java plugin to be installed to run applet, any installed JRE can be used to run it.  This further increases the risk, as users may not be aware that applets may be run by their browser even though they have no plugin package installed.  Is there possibly a way packaging can be altered so that Java support requires installation of additional package that is not required by default (e.g. by splitting kjava out of kdelibs)?

Comment 2 Tomas Hoger 2012-12-11 21:17:52 UTC
Java configuration in Konqueror has another odd setting - Use security manager.  This is enabled by default (good), disabling it has significant security risks.  It's probably useful setting for developers of kjava, it should have limited usefulness to normal user.  It may be better to limit this setting to config file and not expose via UI.

Comment 8 Than Ngo 2013-05-28 10:08:33 UTC
it's easy fix, fastrack is fine with me.

Comment 23 errata-xmlrpc 2013-07-15 12:48:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1053.html


Note You need to log in before you can comment on or make changes to this bug.